Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.services.meta
Class FixedExtractor<T extends java.lang.annotation.Annotation>

    java.lang.Object
      org.apache.tapestry5.services.meta.FixedExtractor<T>

All Implemented Interfaces:
  MetaDataExtractor<T>

    public class FixedExtractor<T extends java.lang.annotation.Annotation>

extends java.lang.Object
implements MetaDataExtractor<T>

Implementation of `MetaDataExtractor` that is used to set a fixed value for a fixed meta-data key, when a given annotation is present.

Since:
  5.2.0

Constructor Summary
`FixedExtractor(java.lang.String key)` Defaults the value to "true".
`FixedExtractor(java.lang.String key, java.lang.String value)`

Method Summary
`void` | `extractMetaData(MutableComponentModel model, T annotation)` Invoked on the extractor to extract the appropriate value for the annotation and set the meta data on the model.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FixedExtractor

    public FixedExtractor(java.lang.String key)

  Defaults the value to "true".

### FixedExtractor

    public FixedExtractor(java.lang.String key,
                          java.lang.String value)

Method Detail

### extractMetaData

    public void extractMetaData(MutableComponentModel model,
                                T annotation)

  Description copied from interface: `MetaDataExtractor`
  Invoked on the extractor to extract the appropriate value for the annotation and set the meta data on the model.

  Specified by:
    `extractMetaData` in interface `MetaDataExtractor<T extends java.lang.annotation.Annotation>`
  Parameters:
    `model` - on which to set meta data
    `annotation` - class annotation, from whose attributes specific data may be extracted

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.